Subject: Re: [PATCH RFC 2/8] push: add push.default = mirror

From: Paolo Bonzini <[email-masked]>
Date: Mon, 20 Jul 2009 23:14:32 +0200

> I think this patch alone (regardless of the rest which I haven't read)
> probably makes sense.
>
> Except that I think the part below contradicts with the --mirror push
> semantics (see remote.c::match_refs()).

        if (!send_mirror && prefixcmp(src->name, "refs/heads/"))
                 continue;

The way I read this, send_mirror will send everything, even if it's
outside refs/heads/*.  So refs/*.

If we agree on the semantics, would you harvest it separately or should 
I resubmit?

Paolo